<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
only_reg();
err();
$set['title']='Граффити на стену';
include_once '../../sys/inc/thead.php';
title();
aut();

if (!isset($_POST['uid']) || !is_numeric($_POST['uid']))
{
header("Location: select.php");
exit;
}

$x = intval($_POST['x']);
$y = intval($_POST['y']);

$fon = htmlspecialchars(trim($_POST['fon']));

$uid = intval($_POST['uid']);
$ank = get_user($uid);

$qqa = explode(' ',microtime());
$t = $qqa[1]+$qqa[0];

echo '<div class="mdlc2">
<span>Граффити на стену</span>
<br /></div>
<div class="menu">
&raquo; Получатель: ';
echo GradientText("$ank[nick]", "$ank[ncolor]", "$ank[ncolor2]");
echo ' <a href="select.php">[изм]</a><br />
&raquo; Размер изображения: '.$x.'x'.$y.' <br />
<center><img src="foncr.php?img='.$fon.'&amp;x='.$x.'&amp;y='.$y;
if(@$_POST['blur']) {
echo '&amp;blur=1';
}
if(@$_POST['negative']) {
echo '&amp;negative=1';
}
if(@$_POST['briac']) {
echo '&amp;briac=1&amp;bry='.intval($_POST['bry']);
}
if(@$_POST['contrac']) {
echo '&amp;contrac=1&amp;contr='.intval($_POST['contr']);
}
if(@$_POST['smooth']) {
echo '&amp;smooth=1';
}
echo '&amp;t='.$t.'" alt="" /></center><hr />
&raquo; Шаг 3.1: <br />
&raquo; Подтверждение фона: <br />
<form action="2.php" method="post">
<input type="hidden" name="x" value="'.$x.'">
<input type="hidden" name="y" value="'.$y.'">
<input type="hidden" name="fon" value="'.$fon.'">
<input type="hidden" name="uid" value="'.$ank['id'].'">
<input type="hidden" name="reload" value="1">
<input type="submit" name="go" value="Изменить эффекты" class="q">
</form>


<form action="4.php" method="post">
<input type="hidden" name="x" value="'.$x.'">
<input type="hidden" name="y" value="'.$y.'">
<input type="hidden" name="fon" value="'.md5($t).'.png">
<input type="hidden" name="uid" value="'.$ank['id'].'">

<input type="submit" name="go" value="Продолжить" class="q">
</form>
</div>
';

echo "<div class='p_t'>&raquo; <a href='/info.php?id=$ank[id]'>На страницу ";
echo GradientText("$ank[nick]", "$ank[ncolor]", "$ank[ncolor2]");
echo "</a></div>";
include_once '../../sys/inc/tfoot.php';
?>